package com.goafanti.user.bo;

import java.math.BigDecimal;
import java.util.Date;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputOrgBasicInfo {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		uid;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		hid;

	/**
	 * 企业名称
	 */
	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		unitName;

	/**
	 * 行政区域--省
	 */
	@Max(value = 99, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		licenceProvince;

	/**
	 * 行政区域--市
	 */
	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		licenceCity;

	/**
	 * 行政区域--区
	 */
	@Max(value = 9999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		licenceArea;

	/**
	 * 通讯地址
	 */
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		postalAddress;

	/**
	 * 邮编
	 */
	@Size(min = 0, max = 8, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		postcode;

	/**
	 * 联系人电话
	 */
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		contactsFixedTel;

	/**
	 * 联系人传真
	 */
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		contactsFax;

	/**
	 * 法人电话
	 */
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		legalPersonTel;

	/**
	 * 法人传真
	 */
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		legalPersonFax;

	/**
	 * 法人Email
	 */
	@Size(min = 0, max = 128, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		legalPersonEmail;

	/**
	 * 注册资金
	 */
	@Max(value = (long) 999999.99, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private BigDecimal	registeredCapital;

	/**
	 * 注册时间
	 */
	private Date		registrationTime;

	/**
	 * 法人代表姓名
	 */
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		legalPerson;

	/**
	 * 法人身份证号
	 */
	@Size(min = 0, max = 18, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		legalPersonIdCard;

	/**
	 * 组织机构代码/统一社会信用代码
	 */
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgCode;

	/**
	 * 税务登记号/统一社会信用代码
	 */
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ratepayCode;

	/**
	 * 所属行业
	 */
	@Max(value = 99, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		industry;

	/**
	 * 企业规模(注册资金)
	 */
	@Max(value = 9, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private String		enterpriseScale;

	/**
	 * 注册类型
	 */
	@Size(min = 0, max = 8, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		registerType;

	/**
	 * 外资来源地
	 */
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		foreignInvestment;

	/**
	 * 领域
	 */
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		field;

	/**
	 * 企业所得税主管税务机关
	 */
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		taxAuthority;

	/**
	 * 企业所得税征收方式
	 */
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		ratepayMethod;

	/**
	 * 是否上市
	 */
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		listed;

	/**
	 * 是否属于国家级高新区内企业
	 */
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		highTechZone;

	/**
	 * 是否引入风险投资
	 */
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		riskInvestment;

	/**
	 * 经营范围
	 */
	@Size(min = 0, max = 398, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		businessScope;

	/**
	 * 企业职工
	 */
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		firmTotal;

	/**
	 * 科技人员
	 */
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		techTotal;

	/**
	 * 上市时间
	 */
	private Date		listedDate;

	/**
	 * 上市类型
	 */
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		listedType;

	/**
	 * 股票代码
	 */
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		stockCode;

	/**
	 * 国家级高新区名称
	 */
	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		highTechName;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getHid() {
		return hid;
	}

	public void setHid(String hid) {
		this.hid = hid;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Integer getLicenceProvince() {
		return licenceProvince;
	}

	public void setLicenceProvince(Integer licenceProvince) {
		this.licenceProvince = licenceProvince;
	}

	public Integer getLicenceCity() {
		return licenceCity;
	}

	public void setLicenceCity(Integer licenceCity) {
		this.licenceCity = licenceCity;
	}

	public Integer getLicenceArea() {
		return licenceArea;
	}

	public void setLicenceArea(Integer licenceArea) {
		this.licenceArea = licenceArea;
	}

	public String getPostalAddress() {
		return postalAddress;
	}

	public void setPostalAddress(String postalAddress) {
		this.postalAddress = postalAddress;
	}

	public String getPostcode() {
		return postcode;
	}

	public void setPostcode(String postcode) {
		this.postcode = postcode;
	}

	public String getContactsFixedTel() {
		return contactsFixedTel;
	}

	public void setContactsFixedTel(String contactsFixedTel) {
		this.contactsFixedTel = contactsFixedTel;
	}

	public String getContactsFax() {
		return contactsFax;
	}

	public void setContactsFax(String contactsFax) {
		this.contactsFax = contactsFax;
	}

	public String getLegalPersonTel() {
		return legalPersonTel;
	}

	public void setLegalPersonTel(String legalPersonTel) {
		this.legalPersonTel = legalPersonTel;
	}

	public String getLegalPersonFax() {
		return legalPersonFax;
	}

	public void setLegalPersonFax(String legalPersonFax) {
		this.legalPersonFax = legalPersonFax;
	}

	public String getLegalPersonEmail() {
		return legalPersonEmail;
	}

	public void setLegalPersonEmail(String legalPersonEmail) {
		this.legalPersonEmail = legalPersonEmail;
	}

	public BigDecimal getRegisteredCapital() {
		return registeredCapital;
	}

	public void setRegisteredCapital(BigDecimal registeredCapital) {
		this.registeredCapital = registeredCapital;
	}

	public Date getRegistrationTime() {
		return registrationTime;
	}

	public void setRegistrationTime(Date registrationTime) {
		this.registrationTime = registrationTime;
	}

	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}

	public String getLegalPersonIdCard() {
		return legalPersonIdCard;
	}

	public void setLegalPersonIdCard(String legalPersonIdCard) {
		this.legalPersonIdCard = legalPersonIdCard;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getRatepayCode() {
		return ratepayCode;
	}

	public void setRatepayCode(String ratepayCode) {
		this.ratepayCode = ratepayCode;
	}

	public Integer getIndustry() {
		return industry;
	}

	public void setIndustry(Integer industry) {
		this.industry = industry;
	}

	public String getEnterpriseScale() {
		return enterpriseScale;
	}

	public void setEnterpriseScale(String enterpriseScale) {
		this.enterpriseScale = enterpriseScale;
	}

	public String getRegisterType() {
		return registerType;
	}

	public void setRegisterType(String registerType) {
		this.registerType = registerType;
	}

	public String getForeignInvestment() {
		return foreignInvestment;
	}

	public void setForeignInvestment(String foreignInvestment) {
		this.foreignInvestment = foreignInvestment;
	}

	public String getField() {
		return field;
	}

	public void setField(String field) {
		this.field = field;
	}

	public Integer getTaxAuthority() {
		return taxAuthority;
	}

	public void setTaxAuthority(Integer taxAuthority) {
		this.taxAuthority = taxAuthority;
	}

	public Integer getRatepayMethod() {
		return ratepayMethod;
	}

	public void setRatepayMethod(Integer ratepayMethod) {
		this.ratepayMethod = ratepayMethod;
	}

	public Integer getListed() {
		return listed;
	}

	public void setListed(Integer listed) {
		this.listed = listed;
	}

	public Integer getHighTechZone() {
		return highTechZone;
	}

	public void setHighTechZone(Integer highTechZone) {
		this.highTechZone = highTechZone;
	}

	public Integer getRiskInvestment() {
		return riskInvestment;
	}

	public void setRiskInvestment(Integer riskInvestment) {
		this.riskInvestment = riskInvestment;
	}

	public String getBusinessScope() {
		return businessScope;
	}

	public void setBusinessScope(String businessScope) {
		this.businessScope = businessScope;
	}

	public Integer getFirmTotal() {
		return firmTotal;
	}

	public void setFirmTotal(Integer firmTotal) {
		this.firmTotal = firmTotal;
	}

	public Integer getTechTotal() {
		return techTotal;
	}

	public void setTechTotal(Integer techTotal) {
		this.techTotal = techTotal;
	}

	public Date getListedDate() {
		return listedDate;
	}

	public void setListedDate(Date listedDate) {
		this.listedDate = listedDate;
	}

	public Integer getListedType() {
		return listedType;
	}

	public void setListedType(Integer listedType) {
		this.listedType = listedType;
	}

	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public String getHighTechName() {
		return highTechName;
	}

	public void setHighTechName(String highTechName) {
		this.highTechName = highTechName;
	}

}
